%{?nodejs_find_provides_and_requires}
Name:                nodejs-merge-descriptors
Version:             1.0.1
Release:             1
Summary:             A Node.js module to merge objects using descriptors
License:             MIT
URL:                 https://github.com/component/merge-descriptors
Source0:             https://github.com/component/merge-descriptors/archive/%{version}/merge-descriptors-%{version}.tar.gz
Patch0:              nodejs-merge-descriptors-node10.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(mocha)
%description
%{summary}.

%prep
%autosetup -p 1 -n merge-descriptors-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/merge-descriptors
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/merge-descriptors
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --bail --check-leaks test/

%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/merge-descriptors

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.0.1-1
- Package init
